TechDraw Sommets quadrants

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw Quadrants and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano
Arrow-left.svg Page précédente : TechDraw Midpoints.svg Point milieu
Page suivante : Ligne centrale à une face TechDraw FaceCenterLine.svg Arrow-right.svg

TechDraw Quadrants.svg TechDraw Sommets quadrants

Emplacement du menu
TechDraw → Add Vertices → Ajouter des sommets de quadrants
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
TechDraw Point cosmétique, TechDraw Point milieu

Description

L'outil Sommets quadrants ajoute des Sommets cosmétiques aux points 90/180/270° d'un bord circulaire. Le sommet 0° devrait déjà figurer sous forme de sommet géométrique.

TechDraw CosmeticQuadrant Sample.png

Les sommets cosmétiques au quadrant d'un cercle

Utilisation

  1. Sélectionnez une ou plusieurs arêtes (circulaires) dans une vue.
  2. Appuyez sur le bouton TechDraw Quadrants.svg Ajouter des sommets de quadrants.
  3. Les sommets cosmétiques seront ajoutés tous les 90° sur les bords.

Remarque: cet outil peut être utilisé sur n’importe quel bord, pas seulement pour des cercles.

Pour supprimer un sommet de quadrant, sélectionnez-le et utilisez le bouton de la barre d'outils TechDraw CosmeticEraser.svg Gomme.

Propriétés

Les points cosmétiques n'ont pas de propriétés propres car ils ne sont pas des objets de document. Ils partagent les paramètres de couleur et de taille avec des points de géométrie réguliers.

Script

Voir aussi: TechDraw API et Débuter avec les scripts.

Les points cosmétiques ne sont pas accessibles par macros ni par la console Python pour le moment. Ce bout de code supprimera tous les points cosmétiques de la vue.

>>> v = App.ActiveDocument.View
>>> v.clearCV()
>>> App.activeDocument().recompute()


Arrow-left.svg Page précédente : TechDraw Midpoints.svg Point milieu
Page suivante : Ligne centrale à une face TechDraw FaceCenterLine.svg Arrow-right.svg